Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002615TestLinkTest Executepublic2009-06-14 19:352009-06-19 15:14
Reporteraksinghv 
Assigned Toschlundus 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.9 Beta 2 
Summary0002615: ?????
DescriptionHi,

I am getting following fatal error whjen i am clicking on the "execute" Testcases:

Fatal error: Call to undefined method cfield_mgr::__constructor() in C:\tl\testlink\lib\functions\exec_cfield_mgr.class.php on line 29

I have changed the db_version to DB 1.3 and also:
ALTER TABLE `sse`.`builds`
  ADD COLUMN `creation_ts` datetime NOT NULL default '0000-00-00 00:00:00' AFTER `is_open`,
  ADD COLUMN `release_date` date NULL AFTER `creation_ts`,
  ADD COLUMN `closed_on_date` date NULL AFTER `release_date`;
  
ALTER TABLE `sse`.`testplan_tcversions`
 ADD COLUMN `author_id` int(10) unsigned default NULL AFTER `urgency`,
 ADD COLUMN `creation_ts` datetime NOT NULL default '0000-00-00 00:00:00' AFTER `author_id`;
 
ALTER TABLE `sse`.`testplans`
  ADD COLUMN `is_public` tinyint(1) NOT NULL default '1' AFTER `is_open`;
  
ALTER TABLE `sse`.`testprojects`
  ADD COLUMN `is_public` tinyint(1) NOT NULL default '1' AFTER `tc_counter`;

INSERT INTO sse.rights (id,description) VALUES (23 ,'testproject_user_role_assignment');
INSERT INTO sse.role_rights (role_id,right_id) VALUES (8,23);

Do I need to change any other thing?

Regards,
Additional InformationI am using the existing dabase from TL1.8.2
Updated the DB version to DB 1.3

TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFF3
PHP Version5.2.9-2
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0007296)
mhavlat (reporter)
2009-06-19 15:14

aksinghv, we expect that you respect rules.

- Issue History
Date Modified Username Field Change
2009-06-14 19:35 aksinghv New Issue
2009-06-14 19:35 aksinghv Browser => FF3
2009-06-14 19:35 aksinghv PHP Version => 5.2.9-2
2009-06-16 02:43 schlundus Status new => resolved
2009-06-16 02:43 schlundus Fixed in Version => 1.9 (DEV)
2009-06-16 02:43 schlundus Resolution open => fixed
2009-06-16 02:43 schlundus Assigned To => schlundus
2009-06-18 23:57 fman Summary [TL1.9] => ?????
2009-06-19 15:14 mhavlat Note Added: 0007296
2009-06-19 15:14 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker